[users] Cacti wants php-ldap

Stefan Radman Stefan.Radman at CTBTO.ORG
Thu Aug 23 18:03:48 CEST 2007


> It runs perfectly fine without LDAP as well.
No it doesn't but that has nothing to do with LDAP but rather with PHP4.
cacti-0.8.6j-1.el4.rf.noarch.rpm will not run out of the box on CentOS
4.
Without the official patches it will not do.

Search for the threads 
  [packagers] Cacti update
  [suggest] cacti rpm on rpmforge
and you'll find a patch to make it run perfectly fine.

Cheers
Stefan

> -----Original Message-----
> From: Dag Wieers [mailto:dag at wieers.com] 
> Sent: Thursday, 23 August, 2007 17:46
> To: Stefan Radman
> Cc: users at lists.rpmforge.net
> Subject: RE: [users] Cacti wants php-ldap
> 
> On Thu, 23 Aug 2007, Stefan Radman wrote:
> 
> > > But it only requires LDAP when you need LDAP 
> functionality. It runs 
> > > perfectly fine without LDAP as well.
> > Granted
> > 
> > > We cannot add all possible requirements to a package. That 
> > That's why it's nice to have subpackages with their own 
> dependencies.
> > True, in the case of cacti and LDAP this might be overkill.
> 
> It's really a shortcoming of RPM. It is nice to be able to see for a 
> package what other requirements are optional.
> 
> 
> > Probably I should have posted my suggestion on the 
> [suggest] list ;-)
> 
> Would not make a difference ;-)
> 
> --   dag wieers,  dag at wieers.com,  http://dag.wieers.com/   --
> [Any errors in spelling, tact or fact are transmission errors]
> 



More information about the users mailing list